Skip to main content
`Ctrl`+`K`

# DMStagStencilType

Elementwise stencil type, determining which neighbors participate in communication

## Synopsis

    typedef enum {
      DMSTAG_STENCIL_NONE,
      DMSTAG_STENCIL_STAR,
      DMSTAG_STENCIL_BOX
    } DMStagStencilType;

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMDA`, `DMStagCreate1d()`, `DMStagCreate2d()`, `DMStagCreate3d()`, `DMStagStencil`, `DMDAStencilType`, `DMStagStencilLocation`, `DMDAStencilType`

## Level

beginner

## Location

include/petscdmstag.h

## Examples

src/dm/impls/stag/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex6.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex8.c
src/dm/impls/stag/tutorials/ex2.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages